import 'package:flutter/material.dart';
import 'package:tm_app/core/utils/size_config.dart';

class StatusTag extends StatelessWidget {
  final String text;
  final Color textColor;
  final Color backgroundColor;

  const StatusTag({
    required this.text,
    required this.textColor,
    required this.backgroundColor,
    super.key,
  });

  @override
  Widget build(BuildContext context) {
    return Container(
      padding: EdgeInsets.symmetric(horizontal: 12.0.w(), vertical: 6.0.h()),
      decoration: BoxDecoration(
        color: backgroundColor,
        borderRadius: BorderRadius.circular(8),
      ),
      child: Text(
        text,
        style: TextStyle(
          color: textColor,
          fontWeight: FontWeight.w500,
          fontSize: 14.0.sp(),
        ),
      ),
    );
  }
}
